Debian Bug report logs - #573970
please provide an "include" statement for mararc

version graph

Package: maradns; Maintainer for maradns is Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>; Source for maradns is src:maradns.

Reported by: Chris Butler <chrisb@debian.org>

Date: Mon, 15 Mar 2010 12:30:01 UTC

Owned by: nicholas@periapt.co.uk

Severity: wishlist

Tags: confirmed, jessie, sid, squeeze, wheezy, wontfix

Found in versions maradns/1.3.07.08-1, maradns/1.3.07.09-2, maradns/1.4.03-1.1

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Kai Hendry <hendry@iki.fi>:
Bug#573970; Package maradns. (Mon, 15 Mar 2010 12:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chris Butler <chrisb@debian.org>:
New Bug report received and forwarded. Copy sent to Kai Hendry <hendry@iki.fi>. (Mon, 15 Mar 2010 12:30:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Chris Butler <chrisb@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: maradns: please provide an "include" statement for mararc
Date: Mon, 15 Mar 2010 12:28:01 +0000
Package: maradns
Version: 1.3.07.09-2
Severity: wishlist

Our MaraDNS configuration is built from a combination of a static file
containing the server settings, and an autogenerated list of zones.

Currently we acheive this by 'cat'ing the two sections together into one
mararc file. However it would be a bit cleaner and less prone to error if we
could just include the auto-generated config from the static file.

Please consider adding an "include" statement to the mararc syntax.

-- System Information:
Debian Release: 5.0.4
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.26-2-openvz-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8) (ignored: LC_ALL set to en_GB.UTF-8)
Shell: /bin/sh linked to /bin/bash

-- 
Chris Butler <chrisb@debian.org>
  GnuPG Key ID: 1024D/D097A261




Information forwarded to debian-bugs-dist@lists.debian.org, Kai Hendry <hendry@iki.fi>:
Bug#573970; Package maradns. (Fri, 23 Jul 2010 09:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sam Trenholme <strenholme.usenet@gmail.com>:
Extra info received and forwarded to list. Copy sent to Kai Hendry <hendry@iki.fi>. (Fri, 23 Jul 2010 09:00:03 GMT) Full text and rfc822 format available.

Message #10 received at 573970@bugs.debian.org (full text, mbox):

From: Sam Trenholme <strenholme.usenet@gmail.com>
To: 573970@bugs.debian.org
Cc: chrisb@debian.org, Kai Hendry <hendry@iki.fi>
Subject: Re: maradns: please provide an "include" statement for mararc
Date: Fri, 23 Jul 2010 01:56:48 -0700
Upstream here.  There are no plans to add this to the authoritative
MaraDNS code, but the up-and-coming MaraDNS 2.0 release will use a
separate daemon for recursion called Deadwood (I just released the
first beta-test version of this daemon this last day), which does
support "includes" via Python-compatible execfile("filename") syntax.

- Sam

Note: I do not answer MaraDNS (including Deadwood) support requests
sent by private email without being compensated for my time. A MaraDNS
support request is any and all discussion you may wish to have about
MaraDNS in private email; if you want to email me to talk about
MaraDNS then, yes, that is a support request. I will discuss rates if
you want this kind of support. Thank you for your understanding.

MaraDNS security vulnerability reports, however, will be dealt with
without charge and kept confidential. If you don't know what Bugtraq
is, then, no, your email is not a security report. It is not a
security report unless you've done due diligence to determine how the
security bug you think you found can reasonably be exploited.




Information forwarded to debian-bugs-dist@lists.debian.org, Kai Hendry <hendry@iki.fi>:
Bug#573970; Package maradns. (Thu, 03 Feb 2011 00:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicholas Bamber <nicholas@periapt.co.uk>:
Extra info received and forwarded to list. Copy sent to Kai Hendry <hendry@iki.fi>. (Thu, 03 Feb 2011 00:24:03 GMT) Full text and rfc822 format available.

Message #15 received at 573970@bugs.debian.org (full text, mbox):

From: Nicholas Bamber <nicholas@periapt.co.uk>
To: 573970@bugs.debian.org, control@bugs.debian.org
Subject: Mergeing Mara dns 2.0 bugs
Date: Thu, 03 Feb 2011 00:22:24 +0000
severity 573970 normal
retitle 573970 Need to plan migration path to MaraDNS to 2.0
merge 573970 477787
thanks




Severity set to 'normal' from 'wishlist' Request was from Nicholas Bamber <nicholas@periapt.co.uk> to control@bugs.debian.org. (Thu, 03 Feb 2011 00:24:05 GMT) Full text and rfc822 format available.

Changed Bug title to 'Need to plan migration path to MaraDNS to 2.0' from 'maradns: please provide an "include" statement for mararc' Request was from Nicholas Bamber <nicholas@periapt.co.uk> to control@bugs.debian.org. (Thu, 03 Feb 2011 00:24:05 GMT) Full text and rfc822 format available.

Added tag(s) confirmed. Request was from Nicholas Bamber <nicholas@periapt.co.uk> to control@bugs.debian.org. (Thu, 03 Feb 2011 07:21:04 GMT) Full text and rfc822 format available.

Owner recorded as nicholas@periapt.co.uk. Request was from Nicholas Bamber <nicholas@periapt.co.uk> to control@bugs.debian.org. (Thu, 03 Feb 2011 07:27:05 GMT) Full text and rfc822 format available.

Merged 477787 573970. Request was from Nicholas Bamber <nicholas@periapt.co.uk> to control@bugs.debian.org. (Thu, 03 Feb 2011 07:27:06 GMT) Full text and rfc822 format available.

Merged 477787 525188 573970. Request was from Nicholas Bamber <nicholas@periapt.co.uk> to control@bugs.debian.org. (Thu, 03 Feb 2011 17:18:11 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 573970: 612229 Request was from Nicholas Bamber <nicholas@periapt.co.uk> to control@bugs.debian.org. (Sun, 06 Feb 2011 23:15:08 GMT) Full text and rfc822 format available.

Added tag(s) wheezy. Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Wed, 16 Feb 2011 19:03:15 GMT) Full text and rfc822 format available.

Added tag(s) fixed-upstream. Request was from Nicholas Bamber <nicholas@periapt.co.uk> to control@bugs.debian.org. (Tue, 17 May 2011 13:54:10 GMT) Full text and rfc822 format available.

Forcibly Merged 477787 525188 573970 639675. Request was from Nicholas Bamber <nicholas@periapt.co.uk> to control@bugs.debian.org. (Mon, 29 Aug 2011 17:12:08 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 573970: 636158 Request was from Nicholas Bamber <nicholas@periapt.co.uk> to control@bugs.debian.org. (Sat, 24 Sep 2011 09:57:26 GMT) Full text and rfc822 format available.

Disconnected #639675 from all other report(s). Request was from Nicholas Bamber <nicholas@periapt.co.uk> to control@bugs.debian.org. (Tue, 29 Nov 2011 22:39:08 GMT) Full text and rfc822 format available.

Disconnected #573970 from all other report(s). Request was from Nicholas Bamber <nicholas@periapt.co.uk> to control@bugs.debian.org. (Wed, 30 Nov 2011 23:27:12 GMT) Full text and rfc822 format available.

Changed Bug title to 'please provide an "include" statement for mararc' from 'Need to plan migration path to MaraDNS to 2.0' Request was from Nicholas Bamber <nicholas@periapt.co.uk> to control@bugs.debian.org. (Thu, 01 Dec 2011 06:03:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, nicholas@periapt.co.uk:
Bug#573970; Package maradns. (Mon, 05 Dec 2011 21:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicholas Bamber <nicholas@periapt.co.uk>:
Extra info received and forwarded to list. Copy sent to nicholas@periapt.co.uk. (Mon, 05 Dec 2011 21:06:05 GMT) Full text and rfc822 format available.

Message #48 received at 573970@bugs.debian.org (full text, mbox):

From: Nicholas Bamber <nicholas@periapt.co.uk>
To: 573970@bugs.debian.org, control@bugs.debian.org, chrisb@debian.org, MaraDNS support mailing list <list@maradns.org>
Subject: not fixed upstream after all
Date: Mon, 05 Dec 2011 21:11:35 +0000
tags 573970 -fixed-upstream
unblock 573970 by 612229
thanks


Sam,
    I don't think include functionality in deadwood addresses the user's
issue since he clearly needs it in the authoritative server. In any case
the "execfile" documentation is quite hard to follow.

Chris,
    This need not necessarily be an upstream issue. If your processing
can handle running dpkg-reconfigure after updating the include file,
then this could be accomplished with debconf.


-- 
Nicholas Bamber | http://www.periapt.co.uk/
PGP key 3BFFE73C from pgp.mit.edu




Removed tag(s) fixed-upstream. Request was from Nicholas Bamber <nicholas@periapt.co.uk> to control@bugs.debian.org. (Mon, 05 Dec 2011 21:06:07 GMT) Full text and rfc822 format available.

Removed blocking bug(s) of 573970: 612229 Request was from Nicholas Bamber <nicholas@periapt.co.uk> to control@bugs.debian.org. (Mon, 05 Dec 2011 21:06:08 GMT) Full text and rfc822 format available.

Removed tag(s) ipv6. Request was from Nicholas Bamber <nicholas@periapt.co.uk> to control@bugs.debian.org. (Mon, 05 Dec 2011 21:09:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, nicholas@periapt.co.uk:
Bug#573970; Package maradns. (Sat, 31 Dec 2011 12:54:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicholas Bamber <nicholas@periapt.co.uk>:
Extra info received and forwarded to list. Copy sent to nicholas@periapt.co.uk. (Sat, 31 Dec 2011 12:54:06 GMT) Full text and rfc822 format available.

Message #59 received at 573970@bugs.debian.org (full text, mbox):

From: Nicholas Bamber <nicholas@periapt.co.uk>
To: 573970@bugs.debian.org
Cc: control@bugs.debian.org
Subject: downgrading
Date: Sat, 31 Dec 2011 13:00:20 +0000
severity 573970 wishlist
thanks

After some reflection I have come to the conclusion that if this is
going to be fixed it equires code. It might be worth looking at porting
the "exec" code from deadwood to maradns and forwarding the resulting
patch upstream. This is not something I can foresee doing at the moment
however.

-- 
Nicholas Bamber | http://www.periapt.co.uk/
PGP key 3BFFE73C from pgp.mit.edu




Severity set to 'wishlist' from 'normal' Request was from Nicholas Bamber <nicholas@periapt.co.uk> to control@bugs.debian.org. (Sat, 31 Dec 2011 12:54:29 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 573970: 688497 Request was from Nicholas Bamber <nicholas@periapt.co.uk> to control@bugs.debian.org. (Wed, 26 Sep 2012 06:03:03 GMT) Full text and rfc822 format available.

Added tag(s) wontfix. Request was from Nicholas Bamber <nicholas@periapt.co.uk> to control@bugs.debian.org. (Fri, 02 Nov 2012 09:09:05 GMT) Full text and rfc822 format available.

Added tag(s) jessie. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 18 Apr 2013 17:39:20 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 14:18:31 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.